<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
   {* Document/Browser title *}
   <title>{if empty ($tdescription)}{if empty ($TITLE)}{$smarty.const.DIRECTORY_TITLE|escape|trim}{/if}{$smarty.capture.title|strip|trim}{/if} {$tdescription} </title>
   {* Document character set *}
   <meta http-equiv="Content-Type" content="text/html; charset={$smarty.const.CHARSET}" />

   {* CSS Style file *}
   <link rel="stylesheet" type="text/css" href="{$smarty.const.DOC_ROOT}/templates/{$smarty.const.USE_TEMPLATE}/style/main.css" />
   <link rel="stylesheet" type="text/css" href="{$smarty.const.DOC_ROOT}/templates/{$smarty.const.USE_TEMPLATE}/style/fileuploader.css" />

   {* Custom META tags *}
   {if $smarty.const.ENABLE_META_TAGS}
      {if !empty($MetaKeywords)}
         <meta name="keywords" content="{$MetaKeywords|strip|escape|trim}" />
      {/if}
      {if !empty($MetaDescription)}
         <meta name="description" content="{$MetaDescription|strip|escape|trim}" />
      {/if}
            {if !empty($MetaAuthor)}
         <meta name="author" content="{$MetaAuthor}" />
      {/if}
      {if !empty($MetaCopyright)}
         <meta name="copyright" content="{$MetaCopyright|strip|escape|trim}" />
      {/if}
      {if !empty($MetaRobots)}
         <meta name="robots" content="{$MetaRobots|strip|escape|trim}" />
      {/if}
   {/if}

   {* Live Bookmarks *}
   {if $smarty.const.ENABLE_RSS and (!empty($search) or $category.ID gt 0 or $list) and count($links) gt 0}
      <link rel="alternate" type="application/rss+xml" title="{$in_page_title|escape|trim}" href="{$smarty.const.SITE_URL}/rss.php?{if !empty($search)}search={$search|@urlencode}{elseif $p > 1}p={$p}{elseif $list}list={$list}{else}c={$category.ID}{/if}" />
   {/if}

   {* JavaScript libraries *}
   {if $load_Javascript}
		<script src="{$smarty.const.DOC_ROOT}/javascripts/jquery-1.3.2.min.js"></script>
		<script src="{$smarty.const.DOC_ROOT}/javascripts/ajaxupload.js" type="text/javascript"></script>
		<script src="{$smarty.const.DOC_ROOT}/javascripts/jquery/jquery-ui-1.7.2.custom.min.js"></script>
		<script type="text/javascript" src="{$smarty.const.DOC_ROOT}/javascripts/jquery.validate.js"></script>

		
		{if $is_detail}
			
		<link rel="stylesheet" type="text/css" href="{$smarty.const.DOC_ROOT}/templates/{$smarty.const.USE_TEMPLATE}/style/jcarousel.css" />
			<script type="text/javascript" src="{$smarty.const.DOC_ROOT}/javascripts/jquery/jquery.jcarousel.min.js"></script>

		<script type="text/javascript" src="{$smarty.const.DOC_ROOT}/javascripts/flowplayer-3.2.6.min.js"></script>
		{/if}
		
		<script type="text/javascript">
			{literal}jQuery.noConflict();{/literal}
		</script>

		{*<script src="{$smarty.const.DOC_ROOT}/javascripts/jquery/jquery.dimensions.js"></script>
		<script src="{$smarty.const.DOC_ROOT}/javascripts/jquery/ui/ui.core.js"></script>
		<script src="{$smarty.const.DOC_ROOT}/javascripts/jquery/ui/ui.draggable.js"></script>
		<script src="{$smarty.const.DOC_ROOT}/javascripts/jquery/ui/ui.droppable.js"></script>
		<script src="{$smarty.const.DOC_ROOT}/javascripts/jquery/ui/ui.sortable.js"></script>*}
       
		{* SmartyFormtool for manipulating forms with JavaScript *}
		<script type="text/javascript" src="{$smarty.const.DOC_ROOT}/javascripts/formtool/formtool.js"></script>
		
	    {* Prototype library *}
	    <script type="text/javascript" src="{$smarty.const.DOC_ROOT}/javascripts/prototype/prototype.js"></script>
	    {* Scriptaculous - Incredible effects and controls library built on Prototype *}
	    <script type="text/javascript" src="{$smarty.const.DOC_ROOT}/javascripts/scriptaculous/scriptaculous.js"></script>
       
		{* AJAX category selection library *}
		<script type="text/javascript" src="{$smarty.const.DOC_ROOT}/javascripts/thickbox/thickbox.js"></script>
		<link rel="stylesheet" href="{$smarty.const.DOC_ROOT}/javascripts/thickbox/ThickBox.css" type="text/css" media="screen" />
		
		<script type="text/javascript" src="{$smarty.const.DOC_ROOT}/javascripts/fancybox/jquery.fancybox-1.3.4.pack.js"></script>
	   <link rel="stylesheet" href="{$smarty.const.DOC_ROOT}/javascripts/fancybox/jquery.fancybox-1.3.4.css" type="text/css" media="screen" />
		
		<script type="text/javascript" src="{$smarty.const.DOC_ROOT}/javascripts/categ_selection/categ_selection.js"></script>
     
   {elseif $uLevel eq 1}
		{* Load JavaScript libraries for widgets sorting *}
		<script src="{$smarty.const.DOC_ROOT}/javascripts/jquery-1.3.2.min.js"></script>
		<script src="{$smarty.const.DOC_ROOT}/javascripts/jquery/jquery-ui-1.7.2.custom.min.js"></script>
   {/if}
   
    {literal}
    <script type="text/javascript">
        var valid_obj = new Object();
    </script>
    {/literal}

</head>
{if  $scriptname == "detail" & !empty($link_data.ADDRESS)}
<body onload="load()" onunload="GUnload()">
{else}
<body>
{/if}
<script type="text/javascript">
{literal}

function increase_height() {
   height = parseInt(document.getElementById('slide').style.marginTop);
   if (height<110) {
      document.getElementById('slide').style.marginTop = eval(height+2)+"px";
      setTimeout("increase_height()",0.0001);
   } else {
      document.getElementById('panel').style.zIndex = 200;
   }
}

function decrease_height() {
   height = parseInt(document.getElementById('slide').style.marginTop);
   document.getElementById('panel').style.zIndex = -1;
   if (height>0) {
      document.getElementById('slide').style.marginTop = eval(height-2)+"px";
      setTimeout("decrease_height()",0.0001);
   }
}

function show_panel() {
  
   height = parseInt(document.getElementById('slide').style.marginTop);
   if (height>0) {
      decrease_height();
   } else {
      increase_height();
   }
   return false;
}

function ajaxFunction()
{

var xmlHttp;

try
  {
  // Firefox, Opera 8.0+, Safari
  xmlHttp=new XMLHttpRequest();
  }
catch (e)
  {
  // Internet Explorer
  try
    {
    xmlHttp=new ActiveXObject("Msxml2.XMLHTTP");
    }
  catch (e)
    {
    try
      {
      xmlHttp=new ActiveXObject("Microsoft.XMLHTTP");
      }
    catch (e)
      {
      alert("Your browser does not support AJAX!");
      return false;
      }
    }
  }
  xmlHttp.onreadystatechange=function()
    {
    if(xmlHttp.readyState==4)
      {
      }
    }
   var url = "{/literal}{$smarty.const.SITE_URL}{literal}update_session.php";

   xmlHttp.open("POST", url, false);
   xmlHttp.setRequestHeader( 
    'Content-Type', 
    'application/x-www-form-urlencoded; charset=UTF-8' 
); 
   xmlHttp.send('url='+window.location);
  }
</script>

{/literal}
</script>

{* Error and confirmation messages *}
{include file="../$core_templates/messages.tpl"}

{if $inplace_arterror neq ''}
<script type="text/javascript">
{literal}
   jQuery(function($) { /* some code that uses $ */ 
   $(document).ready(function(){ tb_show("Edit Article", "{/literal}{$smarty.const.DOC_ROOT}{literal}/inplace_editart.php?ID={/literal}{$smarty.session.editart.ID}{literal}&mode=edit&KeepThis=true&TB_iframe=true&height=400&width=600", "group"); });
   });
{/literal}
</script>
{/if}


{if $inplace_caterror neq ''}
<script type="text/javascript">
{literal}
   jQuery(function($) { /* some code that uses $ */ 
   $(document).ready(function(){ tb_show("Edit Category", "{/literal}{$smarty.const.DOC_ROOT}{literal}/inplace_editcat.php?ID={/literal}{$smarty.session.editcat.ID}{literal}&mode=edit&KeepThis=true&TB_iframe=true&height=400&width=600", "group"); });
   });
{/literal}
</script>
{/if}

{if $inplace_pageerror neq ''}
<script type="text/javascript">
{literal}
   jQuery(function($) { /* some code that uses $ */ 
   $(document).ready(function(){ tb_show("Edit Page", "{/literal}{$smarty.const.DOC_ROOT}{literal}/inplace_editpage.php?ID={/literal}{$smarty.session.editpage.ID}{literal}&mode=edit&KeepThis=true&TB_iframe=true&height=400&width=600", "group"); });
   });
{/literal}
</script>
{/if}

{include file="validation.tpl" form_id="login_form" validators=$login_validators}
{include file="validation.tpl" form_id="search_form" validators=$search_validators}
<div id="wrapperall">
	<div id="topwrapper">
		<div id="top">
			<div id="search_panel">
				<form action="{$smarty.const.DOC_ROOT}/index.php" method="get" style="float: left; margin: 0px; padding: 0px">
					<div id="inputleft"></div>
					<input onfocus="javascript: if (this.value=='Search') this.value='';" type="text" value="{if !empty($search)}{$search|escape}{else}Search{/if}" name="search" />
					<div id="inputright"></div>
					<button type="submit"></button>
				</form>
				<a href="{$smarty.const.DOC_ROOT}/search.php?type=advanced" title="{l}Go to advanced search page{/l}" accesskey="4" rel="nofollow">{l}Advanced{/l}<br />{l}Search{/l}</a>
			</div>
			<div id="menu">
				<ul>
			    	<li><div class="split"></div></li>
			    	<li>
			    		<a href="" 
			    		onclick ="return false;"
			    		onmouseover="document.getElementById('bar1').style.display='block';" 
			    		onmouseout="if(view1==0) document.getElementById('bar1').style.display='none';">
			    			<span class="dropdown">{l}Submit{/l}</span>
			    		</a>
			    		<div id="bar1" style="display: none;" onmouseover="this.style.display='block'; view1++;" onmouseout="this.style.display='none';  view1--;">
						<a href="{$smarty.const.DOC_ROOT}/submit.php{if !empty ($category.ID) and $category.ID > 0}?c={$category.ID}{/if}">
							&raquo;&nbsp;&nbsp;{l}Link{/l}
						</a><br/>
						<a href="{$smarty.const.DOC_ROOT}/submit_article.php{if !empty ($category.ID) and $category.ID > 0}?c={$category.ID}{/if}" style="border-top: 1px dotted #9b9690;">&raquo;&nbsp;&nbsp;{l}Article{/l}</a>
						</div>
			    	</li>
			        <li><div class="split"></div></li>
			        <li>
			        	<a href="" 
			    		onclick ="return false;"
			    		onmouseover="document.getElementById('bar2').style.display='block';" 
			    		onmouseout="if(view2==0) document.getElementById('bar2').style.display='none';">
			    			<span class="dropdown">{l}Latest{/l}</span>
			    		</a>
			    		<div id="bar2" style="display: none;" onmouseover="this.style.display='block'; view1++;" onmouseout="this.style.display='none';  view1--;">
				        	<a href="{if !$smarty.const.ENABLE_REWRITE}{$smarty.const.DOC_ROOT}/index.php?list=latest{else}{$smarty.const.DOC_ROOT}/latest-links.html{/if}">
				        		&raquo;&nbsp;&nbsp;{l}Latest Links{/l}
				        	</a>
				        	<a href="{if !$smarty.const.ENABLE_REWRITE}{$smarty.const.DOC_ROOT}/index.php?list=latestarticles{else}{$smarty.const.DOC_ROOT}/latest-articles.html{/if}"  style="border-top: 1px dotted #9b9690;">
				        		&raquo;&nbsp;&nbsp;{l}Latest Articles{/l}
				        	</a>
				        </div>
			        </li>
			        <li><div class="split"></div></li>
			        <li>
			        	<a href="{if !$smarty.const.ENABLE_REWRITE}{$smarty.const.DOC_ROOT}/index.php?list=top{else}{$smarty.const.DOC_ROOT}/top-hits.html{/if}" title="{l}Browse most popular links{/l}">
			        		<span>{l}Top Hits{/l}</span>
			        	</a>
			        </li>
			        <li><div class="split"></div></li>
			        <li>
			        	<a href="{$smarty.const.DOC_ROOT}/contact.php">{l}Contact{/l}</a>
			       	</li>
			    </ul>
			</div>
			<a class="rss" href="{$smarty.const.DOC_ROOT}/rss.php?{if !empty($search)}search={$search|@urlencode}{elseif $list}list={$list}{else}c={$category.ID}{/if}{if $sort}&amp;s={$sort}{/if}{if $p}&amp;p={$p}{/if}">
				<img src="{$smarty.const.DOC_ROOT}/templates/{$smarty.const.USE_TEMPLATE}/images/rss.jpg" alt="RSS" />
			</a>
			{if  $scriptname != "profile" && $scriptname != "login" && empty($regular_user_details)}
				<a class="topreg" href="{$smarty.const.DOC_ROOT}/profile.php?mode=register" title="{l}Register{/l}">{l}Register to PHPLD{/l}</a>
			{/if}
		</div>
	</div>


<div id="headerwrapper">
	<div id="header">
		<a class="logo" href="{$smarty.const.DOC_ROOT}/">
			{*
			<img src="{$smarty.const.DOC_ROOT}/templates/{$smarty.const.USE_TEMPLATE}/images/logo.png" alt="" />
			*}
		</a>
		<div id="headerright">
		{if  $scriptname != "profile" && $scriptname != "login" && empty($regular_user_details)} 
				<form method="post" action="{$smarty.const.DOC_ROOT}/login.php">
					<table id="login" cellpadding="0" cellspacing="0">
						<tr>
							<td><label>{l}Username{/l}:</label></td>
							<td><input type="text" name="user" value="{$user}" size="20" maxlength="{$smarty.const.USER_LOGIN_MAX_LENGTH}" class="text" /></td>
							<td><label>{l}Password{/l}:</label></td>	
							<td><input type="password" name="pass" value="" size="20" maxlength="{$smarty.const.USER_PASSWORD_MAX_LENGTH}" class="text" /></td>
						</tr>
						<tr>
							<td colspan="2">&nbsp;</td>
							<td colspan="2" style="text-align: right; padding-top: 7px;">
								<img src="{$smarty.const.DOC_ROOT}/templates/{$smarty.const.USE_TEMPLATE}/images/lost.gif" />
								<a class="lostpassword" href="{$smarty.const.DOC_ROOT}/profile.php?mode=sendpassword" title="{l}Recover your password{/l}">{l}Lost password?{/l}</a>
								&nbsp;&nbsp;&nbsp;
								<input class="button" type="submit" name="submit" value="Login" />
							</td>
						</tr>
					</table>
					
				</form>
			{elseif !empty($regular_user_details)}
				<div class="user_meta">
					{l}Welcome:{/l} <strong>{$regular_user_details.NAME|escape}</strong>
					<a href="{$smarty.const.DOC_ROOT}/logout.php" title="{l}Log out of this account{/l}">{l}Sign Out{/l}</a> 
			        <a href="{$smarty.const.DOC_ROOT}/profile.php?mode=logged" title="{l}Edit your account settings{/l}">{l}My Account{/l}</a>
				</div>
			{/if}
		</div>
		<div class="clear"></div>
	</div>
</div>
